org.apache.lucene.facet

## Class FacetsCollectorManager

- java.lang.Object
- - org.apache.lucene.facet.FacetsCollectorManager

All Implemented Interfaces:
  CollectorManager<FacetsCollector,FacetsCollector>

    public class FacetsCollectorManager
    extends Object
    implements CollectorManager<FacetsCollector,FacetsCollector>

A `CollectorManager` implementation which produces FacetsCollector and produces a merged FacetsCollector. This is used for concurrent FacetsCollection.

### Constructor Summary

Constructors
Constructor and Description
`FacetsCollectorManager()` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`FacetsCollector` `newCollector()`
`FacetsCollector` `reduce(Collection<FacetsCollector> collectors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FacetsCollectorManager

    public FacetsCollectorManager()

Sole constructor.

### Method Detail

#### newCollector

    public FacetsCollector newCollector()
                                 throws IOException

Specified by:
  `newCollector` in interface `CollectorManager<FacetsCollector,FacetsCollector>`
Throws:
  `IOException`

#### reduce

    public FacetsCollector reduce(Collection<FacetsCollector> collectors)
                           throws IOException

Specified by:
  `reduce` in interface `CollectorManager<FacetsCollector,FacetsCollector>`
Throws:
  `IOException`